ENT.Type = "anim"
ENT.Base = "protect_base"
ENT.PrintName = "Terminal"
ENT.Category = "Sicherheit"
ENT.Spawnable = true

ENT.Damageable = false

ENT.DrawBaseModel = true

ENT.RenderGroup = RENDERGROUP_OPAQUE

function ENT:SetupDataTables()
	self.BaseClass.SetupDataTables(self)
	self:NetworkVar("Entity", 1, "Camera")
	self.DrawDistance = self.DrawDistance * self.DrawDistance
	self.MaxDistance = self.MaxDistance * self.MaxDistance
end

DarkRP_Terminals = DarkRP_Terminals or {}
function ENT:Initialize()
	if SERVER then
		self:SetModel("models/props_phx/rt_screen.mdl")
		self.BaseClass.Initialize(self)
		self.NonOwnerEdit = false
	end
	DarkRP_Terminals[self:EntIndex()] = self
end

function ENT:OnRemove()
	DarkRP_Terminals[self:EntIndex()] = nil
end